package org.seasar.struts.validator;

/**
 * @author Satoshi Kimura
 */
public interface Url extends CommonValidator {

    /**
     * @org.codehaus.backport175.DefaultValue (false)
     */
    boolean allowallschemes();

    /**
     * @org.codehaus.backport175.DefaultValue (false)
     */
    boolean allow2slashes();

    /**
     * @org.codehaus.backport175.DefaultValue (false)
     */
    boolean nofragments();

    /**
     * @org.codehaus.backport175.DefaultValue ("http,https,ftp")
     */
    String schemes();
}
